# 人材マッチング調査に関する概要資料

## 1章 はじめに

### 1.1 人材マッチング調査の目的と背景
「人材マッチング調査オープンデータ」とは、内閣府が提供する e-CSTI（https://e-csti.go.jp/） の分析メニュー「人材育成に係る産業界ニーズの見える化」（https://e-csti.go.jp/analysis/4-jinzai/） において、見える化に利用した調査事業の調査データ（原データ）を整備してオープンデータとして公開するものである。

人材マッチング調査オープンデータが含む調査事業
- 経済産業省 平成26年度(2014年度) 産業技術調査事業「産業界と教育機関の⼈材の質的・量的需給ミスマッチ調査」
WEB アンケート（クロス・マーケティング社）にて実施。
- 経済産業省 平成28年度(2016年度) 産業技術調査事業「理工系人材を中心とする産業人材に求められる専門学問分野と大学等における教育の状況に関する実態調査」
2017 年 1 月、WEB アンケート（クロス・マーケティング社）にて実施。
- 内閣府 平成31年度(2019年度) 科学技術基礎調査等委託事業「産業界と教育機関の人材の質的・量的需給マッチング状況調査」
2019 年 12 月～ 2020 年 1 月上旬、WEB アンケート（クロス・マーケティング社）にて実施。
- 内閣府 令和３年度(2021年度) 科学技術基礎調査等委託事業「産業界と教育機関の人材の質的・量的需給マッチング状況調査」
2021年6月、WEB アンケート（クロス・マーケティング社）にて実施。
- 内閣府 令和５年度(2023年度) 科学技術基礎調査等委託事業「産業界と教育機関の人材の質的・量的需給マッチング状況調査」
2023年12月29日～2024年1月23日、WEB アンケート（クロス・マーケティング社）にて実施。

本概要資料では、これら5回の調査事業をまとめて 「人材マッチング調査」 と総称する。内閣府は、人材マッチング調査の調査データ（原データ）をオープンデータとして提供することで、産業界・教育機関・研究者による広範な分析を促進し、データ分析ならびに利活用を通じた人材需給の可視化、政策立案の支援などを目的としています。

### 1.2 本概要資料の目的
本概要資料は、本オープンデータの仕様を明示するとともに、その整備の背景や活用方法を説明し、利用者による円滑なデータ活用を支援することを目的としている。

### 1.3 本概要資料の構成
本概要資料は、以下の構成で記述される。
- 第2章: 人材マッチング調査の概要
- 第3章: データの利用方法
- 付録:
  #### 補足
  文中でファイル名の一部に _v[version] と記載されている箇所は、実際にはバージョン番号付きのファイル（例：_v1.0, _v1.3）が提供されることを意味する。



<div class="page-break"></div>



## 2章 人材マッチング調査の概要
本章では、本オープンデータのもとになる「人材マッチング調査」についてその概要を説明する。

### 2.1 人材マッチング調査の対象・回答者・方法

#### 調査対象と回答者の属性
調査対象は、各回とも日本国内に居住する一般社会人とし、特に理工系分野の専門知識を有する人材や、関連する業務に従事する人材を重点的に対象としている。回答者の属性情報として、年齢、性別、居住地、学歴、職業、業種、職種、年収など、多様な属性データが収集されている。

#### 調査方法とデータ形式
- 調査は、すべて無記名のオンラインアンケート形式で実施された。
- 各回の調査は、全回答者に対する共通設問群と、特定の条件を満たす回答者に示す追加設問群とで構成された。
- 各回の調査データは、共通設問群と追加設問群に２分され、さらにそれぞれ以下の3種類のファイルに分けて納品された。

| | データの種類と内容 | 形式 |
|---|---|---|
| 1 | 応答データ（1人1行、設問ごとの回答が横に並ぶ） | Excel（.xlsx） |
| 2 | 設問と選択肢データ（設問文ならびに、選択肢番号と選択肢ラベルの一覧） | Excel（.xlsx） |
| 3 | 集計データ（設問・選択肢毎の単純集計結果） | Excel（.xlsx） |

- 本オープンデータに含まれるのは、上記のうち、応答データと設問・選択肢データである。

### 2.2 人材マッチング調査の設問の特徴 (2014年～2023年)
人材マッチング調査データは、いずれも「産業界と教育機関の人材の質的・量的需給」に関する実態把握を目的としている。ただし、調査設計は毎回見直しが行われており、各回ごとに特徴や調査内容が変遷してきた。
以下に、各回の主な特徴をまとめる。

なお、実施回別の設問文・選択肢 の参照先は次の通り。選択肢については、設問によって様々であるため参照先を確認いただきたい。

| 種類 | 参照先・掲出先 |
|---|---|
| 設問リスト |この文書末尾の「付録」を参照|
| 実際の設問文 |p4ds2023_QuestionList（オープンデータ説明資料同梱の Excel ファイル） |
| 設問ごとの選択肢 |m_ で始まる csv ファイル（データに同梱されている）。設問との対応は、この文書末尾の「付録」を参照|



<div class="page-break"></div>



#### 2014年人材マッチング調査
- 回答者の基本属性として、性別、年齢、最終学歴、業種・職種、居住地等の設問を導入した。
- 専門学問分野について以下3つの観点から尋ねる設問を導入した。

    1. 業務に必要な専門学問分野
    2. 会社にとって重要な専門学問分野
    3. 出身分野としての専門学問分野

- 専門学問分野の区分について、科研費申請区分をベースとする 265 分類を採用した。
- 全回答者への共通設問に加え、特定条件に該当する回答者に追加設問を示す設計を採用。

#### 2016年人材マッチング調査
- 専門学問分野について 4 番目の観点を導入した。

    4. 機会があれば学びたい専門学問分野

- 「業務に必要な専門学問分野をどのように学んだか（学習経路）」の設問を追加。
- 「出身高校所在地、最終学歴の学校所在地、勤務地」の設問を追加。
- 「最終学歴で所属した研究室、あるいは専門的な研究を行うゼミで、主に扱っていた専門学問分野は、現在の業務（仕事）にどの程度関係しているか」といった高等教育観に関する設問を追加した。業務との関連だけでなく、給与や初職との関係も尋ねた。
- 「あなたは、現在の担当の業務にやりがいを感じていますか」といった仕事観に関する設問を追加した。やりがいに加えて、社会貢献や給与満足度についても尋ねた。
- 専門学問分野区分を 265 分類から 268 分類に更新。

#### 2019年人材マッチング調査
- 専門学問分野区分を 265 分類から 297 分類に更新。

#### 2021年人材マッチング調査
- 専門学問分野区分を 297 分類から 298 分類に更新。
- 大学での履修科目に関する設問を新設し、業務にとって重要な履修科目を2群に分けて尋ねる形式を採用。

#### 2023年人材マッチング調査
- 専門学問分野区分を 298 分類から 299 分類に更新。
- 18領域のIT領域について習得経路、現職での活用度、卒業時点の到達度を問う設問を導入。



<div class="page-break"></div>



#### 人材マッチング調査の設問の共通点・相違点まとめ（実施回別）

| 項目 | 2014年 | 2016年 | 2019年 | 2021年 | 2023年 |
|----|----|----|----|----|----|
| 基本属性（性別、年齢など） | ○ | ○ | ○ | ○ | ○ |
| 地理情報（居住地） | ○ | ○ | ○ | ○ | ○ |
| 地理情報（出身高・最終学歴学校所在地、勤務地） | - | ○ | ○ | ○ | ○ |
| 専門学問分野（仕事） | ○ | ○ | ○ | ○ | ○ |
| 専門学問分野（会社） | ○ | ○ | ○ | ○ | ○ |
| 専門学問分野（今後学びたい分野） | - | ○ | - | ○ | ○ |
| 専門学問分野区分（区分数） |265分類|268分類|297分類|298分類|299分類|
| 研究職者向け設問 | - | - | ○ | - | - |
| ITスキル設問 | - | - | - | - | ○ |
| 履修科目設問 | - | - | - | ○ | ○ |
| 高等教育観（設問数）|(1)|(8)|(9)|(10)|(1)|
| 仕事観（設問数）| - |(8)|(10)|(20)|(7)|

- 高等教育観とは「最終学歴で所属した研究室、あるいは専門的な研究を行うゼミで、主に扱っていた専門学問分野は、現在の業務（仕事）にどの程度関係していますか」といった高等教育に関する設問群で、業務との関連だけでなく給与や初職との関係も尋ねた。
- 仕事観とは「あなたは、現在の担当の業務にやりがいを感じていますか」といった仕事に関する設問群でやりがいだけでなく、社会貢献や給与満足度についても尋ねた。
---
5回の調査は、専門学問分野と人材需給という共通テーマを持ちながら、社会背景や政策ニーズに応じて設問が拡充されてきた。
特に2016年以降は、地理情報や学習経路の把握を通じて、ライフステージ全体を見渡した学びと仕事のつながりを可視化する仕組みが加わっている。
2021年・2023年調査では、ITスキルや履修科目といった具体的な教育内容やスキルセットに踏み込み、教育現場と産業界の接続可能性を検討する材料として整備されている。



<div class="page-break"></div>



### 2.3 分析用データ
過去5回の人材マッチング調査結果を連結したデータから、観点別に下記の分析用データテーブルを作成した。

| テーブル名 | 説明 |
|------------|------|
| t_core_attribute | 基本属性データ（年齢、性別、学歴、職種など） |
| t_field_long | 専門学問分野データ |
| t_prefecture_wide | 出身地・勤務地等を列ごとにまとめたワイド形式データ |
| t_prefecture_long | 出身地・勤務地等を1地点1行で表したロング形式データ（移動分析向け） |
| t_course_long | 履修データ |
| t_job_sub_category_long | 職種詳細データ |
| t_job_area_long | 職域データ |
| t_career_change_experience_long | 転職データ |
| t_workingfield_and_learningsource_paired_long | 仕事分野と学習ソースのペアデータ |
| t_furtherstudyfield_and_reason_paired_long | 今後学びたい分野と理由のペアデータ |
| t_it_skill_long | ITスキルデータ |
| t_work_detail_long | 仕事観詳細データ |
| t_higher_education_long | 高等教育観データ |
| t_researcher_perspective_long | 研究職者の意識データ |

#### 2.3.1 t_core_attribute：基本属性データ（ワイド形式）
- 応答IDごとに、年齢、性別、雇用形態、最終学歴などの基本情報をまとめた。
- 他のデータと組み合わせることで、応答IDごとの属性によるクロス分析が可能。

#### 2.3.2 t_field_long：専門学問分野データ（ロング形式）
- 各回答者の専門学問分野について、1選択肢1レコードで整理。
- 業務・会社・学歴・将来など、複数の観点を統合。

#### 2.3.3 t_prefecture_wide：都道府県データ（ワイド形式）
- 出身高校所在地、最終学歴の学校所在地、勤務地、居住地を1回答者＝1行で格納したデータ。
- 各地点はそれぞれ別列に記録されている。

#### 2.3.4 t_prefecture_long：都道府県データ（ロング形式）
- 出身高校所在地、最終学歴の学校所在地、勤務地、居住地について、1地点＝1行で格納したデータ。
- 都道府県間の移動経路の可視化や、ネットワーク分析に適している。

#### 2.3.5 t_course_long：履修データ（ロング形式）
- 2021年・2023年の履修データを1科目1レコードで整理。

#### 2.3.6 t_job_sub_category_long：職種詳細データ（ロング形式）
- 特定の条件を満たす回答者に対して、通常の職種よりも細かい分類で職種を尋ねた設問の回答データをまとめた。

#### 2.3.7 t_job_area_long：職域データ（ロング形式）
- 人材マッチング調査独自の職業専門系統に関する設問の回答データをまとめた。

#### 2.3.8 t_career_change_experience_long：転職データ（ロング形式）
- 転職経験に関する設問の回答データをまとめた。

#### 2.3.9 t_workingfield_and_learningsource_paired_long：仕事分野と学習ソースのペアデータ（ロング形式）
- 「業務で必要な専門学問分野」と「その分野をどこで学んだか」の組み合わせデータ。

#### 2.3.10 t_furtherstudyfield_and_reason_paired_long：進学分野と進学理由のペアデータ（ロング形式）
- 「今後学びたい分野」と「その理由」の組み合わせデータ。

#### 2.3.11 t_it_skill_long：ITスキルデータ（ロング形式）
- ITスキル分野ごとに、「現在の習得度」「業務での活用度」「卒業時点の到達度」などを記録。

#### 2.3.12 t_work_detail_long：仕事観詳細データ（ロング形式）
- 仕事への満足感や社会貢献意識など、仕事観に関する設問を整理。

#### 2.3.13 t_higher_education_long：高等教育観データ（ロング形式）
- 大学教育の満足度や、専門知識と業務の関連性など、高等教育に対する認識をまとめる。

#### 2.3.14 t_researcher_perspective_long：研究職者の意識データ（ロング形式）
- 研究領域や研究環境、産学連携に対する意識など、研究職者向け設問を整理。

#### 2.3.15 survey_unified_canonical_v[version]：（ワイド形式）※正規化前
- 5回分の調査データを結合した正規化前のワイド形式データ。
- 一部の設問では複数列にまたがって回答が収録されており、_1, _2 などのサフィックスで表現されている。



<div class="page-break"></div>



### 2.4 マスターテーブル（選択肢番号と選択肢ラベルの一覧）の作成
各回の調査データに付属する「設問と選択肢データ（設問文・選択肢番号・選択肢ラベル一覧）」を基に、標準列名ごとに選択肢番号を整理し、マスターテーブルとして整備した。

マスターテーブルには、以下の情報を格納している。

| 項目 | 内容 |
|---|---|
| 調査年 | どの調査年の選択肢か |
| 標準列名 | 対応する標準列名 |
| 選択肢番号 | 選択肢の番号 |
| 選択肢ラベル（日本語） | 日本語での選択肢表示 |

- マスターテーブルの内容については、公開データから、m_標準列名.csv ファイルを参照いただきたい。
- 同一の設問においても、調査回ごとに異なる選択肢が設定されている場合がある。

## 3章 オープンデータの利用方法

本オープンデータは、産業界・教育機関・研究者など、多様なユーザーによる活用を想定しており、利用目的に応じたさまざまな方法で運用・分析できる。代表的な利用方法については、『User Guide』で紹介している。

#### 2-1.1 本オープンデータの運用方法
- リレーショナルデータベース（RDB）に格納
  - MySQL, PostgreSQL などのデータベースにインポートし、SQL による分析を実施
- CSVファイルのまま利用
  - 必要なツールでデータを読み込み、集計・可視化を行う

#### 2-1.2 分析ツールの活用
- プログラミング言語による分析
  - Python（Pandas, NetworkX など）、R（tidyverse など）を活用し、統計分析・予測モデル・クラスタリング・ネットワーク分析を実施

- BIツールによる可視化
  - Tableau, Power BI などを用いて、直感的なダッシュボードを作成し、可視化・レポーティングを行う



<div class="page-break"></div>



# 付録 Appendix

## 1 Appendix の構成
本付録では、分析用テーブルの列仕様・選択肢の対応、調査項目、データベース作成用スクリプトなど、実際のデータ利用にあたって参照すべき情報をまとめている。

- テーブル・列名・選択肢番号・カテゴリー
- 設問一覧
- データベース作成用スクリプト

## 2 テーブル・列名・選択肢番号・カテゴリー

- 下記では、分析データテーブルごとに格納される項目（カラム名）を列記しています。
- 各分析データテーブルは、項目（カラム）と回答者が選んだ選択肢番号のみが記載されています。
- 項目ごとの選択肢番号が何を示すかについては、項目（カラム）に対応するマスターテーブルをご覧ください。
- 例えば、「性別（gender）」の選択肢番号 「1」 は 「男性」 です。このことは、性別のマスターテーブルである「m_gender.csv」に記載されています。

### 2-1 基本属性データ

---

- データテーブル名：t_core_attribute
- データテーブルファイル名：t_core_attribute.csv

  #### 調査年

  - データテーブル内のカラム名：year
  - この列には、調査年 が整数値で格納されています。そのためマスターテーブルはありません。

  #### 回答者ID

  - データテーブル内のカラム名：response_id
  - この列には、回答者ID が整数値で格納されています。そのためマスターテーブルはありません。

  #### 性別

  - データテーブル内のカラム名：gender_code
  - マスターテーブル名：m_gender
  - マスターテーブルファイル名：m_gender.csv

  #### 年齢

  - データテーブル内のカラム名：age_code
  - マスターテーブル名：m_age
  - マスターテーブルファイル名：m_age.csv

  #### 雇用形態

  - データテーブル内のカラム名：employment_status_code
  - マスターテーブル名：m_employment_status
  - マスターテーブルファイル名：m_employment_status.csv

  #### 従業員数

  - データテーブル内のカラム名：number_of_employees_code
  - マスターテーブル名：m_number_of_employees
  - マスターテーブルファイル名：m_number_of_employees.csv

  #### 業種

  - データテーブル内のカラム名：industry_code
  - マスターテーブル名：m_industry
  - マスターテーブルファイル名：m_industry.csv

  #### 職種

  - データテーブル内のカラム名：job_title_code
  - マスターテーブル名：m_job_title
  - マスターテーブルファイル名：m_job_title.csv

  #### 年収

  - データテーブル内のカラム名：annual_income_code
  - マスターテーブル名：m_annual_income
  - マスターテーブルファイル名：m_annual_income.csv

  #### 最終学歴

  - データテーブル内のカラム名：highest_education_level_code
  - マスターテーブル名：m_highest_education_level
  - マスターテーブルファイル名：m_highest_education_level.csv

  #### 卒学部学科

  - データテーブル内のカラム名：university_major_code
  - マスターテーブル名：m_university_major
  - マスターテーブルファイル名：m_university_major.csv

### 2.2 都道府県データ（ロングデータ）

---

- データテーブル名：t_prefecture_long
- データテーブルファイル名：t_prefecture_long.csv

  #### データID（都道府県データ）

  - データテーブル内のカラム名：prefecture_row_id
  - この列には、データID（都道府県データ） が整数値で格納されています。そのためマスターテーブルはありません。

  #### 調査年

  - データテーブル内のカラム名：year
  - この列には、調査年 が整数値で格納されています。そのためマスターテーブルはありません。

  #### 回答者ID

  - データテーブル内のカラム名：response_id
  - この列には、回答者ID が整数値で格納されています。そのためマスターテーブルはありません。

  #### 都道府県設問タイプ

  - データテーブル内のカラム名：prefecture_type_code
  - マスターテーブル名：m_type_prefecture
  - マスターテーブルファイル名：m_type_prefecture.csv

  #### 都道府県

  - データテーブル内のカラム名：prefecture_code
  - マスターテーブル名：m_prefecture
  - マスターテーブルファイル名：m_prefecture.csv

### 2.3 都道府県データ（ワイドデータ）

---

- データテーブル名：t_prefecture_wide
- データテーブルファイル名：t_prefecture_wide.csv

  #### 調査年

  - データテーブル内のカラム名：year
  - この列には、調査年 が整数値で格納されています。そのためマスターテーブルはありません。

  #### 回答者ID

  - データテーブル内のカラム名：response_id
  - この列には、回答者ID が整数値で格納されています。そのためマスターテーブルはありません。

  #### 勤務地

  - データテーブル内のカラム名：residence_prefecture_code
  - マスターテーブル名：m_prefecture
  - マスターテーブルファイル名：m_prefecture.csv

  #### 居住地

  - データテーブル内のカラム名：work_prefecture_code
  - マスターテーブル名：m_prefecture
  - マスターテーブルファイル名：m_prefecture.csv

  #### 卒学校所在地

  - データテーブル内のカラム名：university_prefecture_code
  - マスターテーブル名：m_prefecture
  - マスターテーブルファイル名：m_prefecture.csv

  #### 出身高校所在地

  - データテーブル内のカラム名：high_school_prefecture_code
  - マスターテーブル名：m_prefecture
  - マスターテーブルファイル名：m_prefecture.csv

### 2.4 分野データ

---

- データテーブル名：t_field_long
- データテーブルファイル名：t_field_long.csv

  #### データID（分野データ）

  - データテーブル内のカラム名：field_row_id
  - この列には、データID（分野データ） が整数値で格納されています。そのためマスターテーブルはありません。

  #### 調査年

  - データテーブル内のカラム名：year
  - この列には、調査年 が整数値で格納されています。そのためマスターテーブルはありません。

  #### 回答者ID

  - データテーブル内のカラム名：response_id
  - この列には、回答者ID が整数値で格納されています。そのためマスターテーブルはありません。

  #### 分野関係設問種別

  - データテーブル内のカラム名：field_type_code
  - マスターテーブル名：m_type_field
  - マスターテーブルファイル名：m_type_field.csv

  #### 分野

  - データテーブル内のカラム名：field_code
  - マスターテーブル名：m_field
  - マスターテーブルファイル名：m_field.csv

  #### 主要フラグ

  - データテーブル内のカラム名：is_primary_flag
  - この列には、主要フラグ が整数値で格納されています。そのためマスターテーブルはありません。

### 2.5 職務分野と学習ソースのペア

---

- データテーブル名：t_workingfield_and_learningsource_paired_long
- データテーブルファイル名：t_workingfield_and_learningsource_paired_long.csv

  #### データID（職務分野と学習ソースのペアデータ）

  - データテーブル内のカラム名：wflsp_row_id
  - この列には、データID（職務分野と学習ソースのペアデータ） が整数値で格納されています。そのためマスターテーブルはありません。

  #### 調査年

  - データテーブル内のカラム名：year
  - この列には、調査年 が整数値で格納されています。そのためマスターテーブルはありません。

  #### 回答者ID

  - データテーブル内のカラム名：response_id
  - この列には、回答者ID が整数値で格納されています。そのためマスターテーブルはありません。

  #### 分野関係設問種別

  - データテーブル内のカラム名：field_type_code
  - マスターテーブル名：m_type_field
  - マスターテーブルファイル名：m_type_field.csv

  #### 専門学問分野

  - データテーブル内のカラム名：field_code
  - マスターテーブル名：m_field
  - マスターテーブルファイル名：m_field.csv

  #### 仕事の専門学問分野学習経路

  - データテーブル内のカラム名：learning_source_code
  - マスターテーブル名：m_learning_source
  - マスターテーブルファイル名：m_learning_source.csv

### 2.6 進学分野と進学理由のペア

---

- データテーブル名：t_furtherstudyfield_and_reason_paired_long
- データテーブルファイル名：t_furtherstudyfield_and_reason_paired_long.csv

  #### データID（進学分野と進学理由のペアデータ）

  - データテーブル内のカラム名：fsfr_row_id
  - この列には、データID（進学分野と進学理由のペアデータ） が整数値で格納されています。そのためマスターテーブルはありません。

  #### 調査年

  - データテーブル内のカラム名：year
  - この列には、調査年 が整数値で格納されています。そのためマスターテーブルはありません。

  #### 回答者ID

  - データテーブル内のカラム名：response_id
  - この列には、回答者ID が整数値で格納されています。そのためマスターテーブルはありません。

  #### 専門学問分野（関係設問種別）

  - データテーブル内のカラム名：field_type_code
  - マスターテーブル名：m_type_field
  - マスターテーブルファイル名：m_type_field.csv

  #### 専門学問分野

  - データテーブル内のカラム名：field_code
  - マスターテーブル名：m_field
  - マスターテーブルファイル名：m_field.csv

  #### 学びたい理由

  - データテーブル内のカラム名：further_study_reason_code
  - マスターテーブル名：m_further_study_reason
  - マスターテーブルファイル名：m_further_study_reason.csv

### 2.7 履修データ

---

- データテーブル名：t_course_long
- データテーブルファイル名：t_course_long.csv

  #### データID（履修データ）

  - データテーブル内のカラム名：course_row_id
  - この列には、データID（履修データ） が整数値で格納されています。そのためマスターテーブルはありません。

  #### 調査年

  - データテーブル内のカラム名：year
  - この列には、調査年 が整数値で格納されています。そのためマスターテーブルはありません。

  #### 回答者ID

  - データテーブル内のカラム名：response_id
  - この列には、回答者ID が整数値で格納されています。そのためマスターテーブルはありません。

  #### 履修科目（関係設問種別）

  - データテーブル内のカラム名：course_type_code
  - マスターテーブル名：m_type_course
  - マスターテーブルファイル名：m_type_course.csv

  #### 履修科目

  - データテーブル内のカラム名：course_code
  - マスターテーブル名：m_course
  - マスターテーブルファイル名：m_course.csv

  #### 主要フラグ

  - データテーブル内のカラム名：is_primary_flag
  - この列には、主要フラグ が整数値で格納されています。そのためマスターテーブルはありません。


### 2.8 職種詳細データ

---

- データテーブル名：t_job_sub_category_long
- データテーブルファイル名：t_job_sub_category_long.csv

  #### データID（職種詳細データ）

  - データテーブル内のカラム名：job_sub_category_row_id
  - この列には、データID（職種詳細データ） が整数値で格納されています。そのためマスターテーブルはありません。

  #### 調査年

  - データテーブル内のカラム名：year
  - この列には、調査年 が整数値で格納されています。そのためマスターテーブルはありません。

  #### 回答者ID

  - データテーブル内のカラム名：response_id
  - この列には、回答者ID が整数値で格納されています。そのためマスターテーブルはありません。

  #### 職業専門中区分（関係設問種別）

  - データテーブル内のカラム名：job_sub_category_type_code
  - マスターテーブル名：m_type_job_sub_category
  - マスターテーブルファイル名：m_type_job_sub_category.csv

  #### 職業専門中区分

  - データテーブル内のカラム名：job_sub_category_code
  - マスターテーブル名：m_job_sub_category
  - マスターテーブルファイル名：m_job_sub_category.csv

### 2.9 職域データ

---
- データテーブル名：t_job_area_long
- データテーブルファイル名：t_job_area_long.csv

  #### データID（職域データ）

  - データテーブル内のカラム名：job_area_row_id
  - この列には、データID（職域データ） が整数値で格納されています。そのためマスターテーブルはありません。

  #### 調査年

  - データテーブル内のカラム名：year
  - この列には、調査年 が整数値で格納されています。そのためマスターテーブルはありません。

  #### 回答者ID

  - データテーブル内のカラム名：response_id
  - この列には、回答者ID が整数値で格納されています。そのためマスターテーブルはありません。

  #### 職業専門系統

  - データテーブル内のカラム名：job_area_code
  - マスターテーブル名：m_job_area
  - マスターテーブルファイル名：m_job_area.csv

  #### 主要フラグ

  - データテーブル内のカラム名：is_primary_flag
  - この列には、主要フラグ が整数値で格納されています。そのためマスターテーブルはありません。

### 2.10 ITスキルデータ

---

- データテーブル名：t_it_skill_long
- データテーブルファイル名：t_it_skill_long.csv

  #### データID（ITスキルデータ）

  - データテーブル内のカラム名：it_skill_row_id
  - この列には、データID（ITスキルデータ） が整数値で格納されています。そのためマスターテーブルはありません。

  #### 調査年

  - データテーブル内のカラム名：year
  - この列には、調査年 が整数値で格納されています。そのためマスターテーブルはありません。

  #### 回答者ID

  - データテーブル内のカラム名：response_id
  - この列には、回答者ID が整数値で格納されています。そのためマスターテーブルはありません。

  #### ITスキル（調査区分）

  - データテーブル内のカラム名：it_skill_type_code
  - マスターテーブル名：m_type_it_skill
  - マスターテーブルファイル名：m_type_it_skill.csv

  #### ITスキル（観点）

  - データテーブル内のカラム名：it_skill_code
  - マスターテーブル名：m_it_skill
  - マスターテーブルファイル名：m_it_skill.csv

  #### ITスキル（状態）

  - データテーブル内のカラム名：it_skill_status_code
  - マスターテーブル名：m_it_skill_status
  - マスターテーブルファイル名：m_it_skill_status.csv

### 2.11 研究者視点データ

---

- データテーブル名：t_researcher_perspective_long
- データテーブルファイル名：t_researcher_perspective_long.csv

  #### データID（研究者視点データ）

  - データテーブル内のカラム名：researcher_perspective_row_id
  - この列には、データID（研究者視点データ） が整数値で格納されています。そのためマスターテーブルはありません。

  #### 調査年

  - データテーブル内のカラム名：year
  - この列には、調査年 が整数値で格納されています。そのためマスターテーブルはありません。

  #### 回答者ID

  - データテーブル内のカラム名：response_id
  - この列には、回答者ID が整数値で格納されています。そのためマスターテーブルはありません。

  #### 研究開発職者の領域観（観点）

  - データテーブル内のカラム名：researcher_perspective_code
  - マスターテーブル名：m_researcher_perspective
  - マスターテーブルファイル名：m_researcher_perspective.csv

  #### 研究開発職者の領域観（状態）

  - データテーブル内のカラム名：researcher_perspective_status_code
  - マスターテーブル名：m_researcher_perspective_status
  - マスターテーブルファイル名：m_researcher_perspective_status.csv

### 2.12 業務詳細データ

---

- データテーブル名：t_work_detail_long
- データテーブルファイル名：t_work_detail_long.csv

  #### データID（業務詳細データ）

  - データテーブル内のカラム名：work_detail_row_id
  - この列には、データID（業務詳細データ） が整数値で格納されています。そのためマスターテーブルはありません。

  #### 調査年

  - データテーブル内のカラム名：year
  - この列には、調査年 が整数値で格納されています。そのためマスターテーブルはありません。

  #### 回答者ID

  - データテーブル内のカラム名：response_id
  - この列には、回答者ID が整数値で格納されています。そのためマスターテーブルはありません。

  #### 仕事観（観点）

  - データテーブル内のカラム名：work_detail_code
  - マスターテーブル名：m_work_detail
  - マスターテーブルファイル名：m_work_detail.csv

  #### 仕事観（状態）

  - データテーブル内のカラム名：work_detail_status_code
  - マスターテーブル名：m_work_detail_status
  - マスターテーブルファイル名：m_work_detail_status.csv

### 2.13 高等教育データ

---

- データテーブル名：t_higher_education_long
- データテーブルファイル名：t_higher_education_long.csv

  #### データID（高等教育データ）

  - データテーブル内のカラム名：higher_education_row_id
  - この列には、データID（高等教育データ） が整数値で格納されています。そのためマスターテーブルはありません。

  #### 調査年

  - データテーブル内のカラム名：year
  - この列には、調査年 が整数値で格納されています。そのためマスターテーブルはありません。

  #### 回答者ID

  - データテーブル内のカラム名：response_id
  - この列には、回答者ID が整数値で格納されています。そのためマスターテーブルはありません。

  #### 高等教育観（観点）

  - データテーブル内のカラム名：higher_education_code
  - マスターテーブル名：m_higher_education
  - マスターテーブルファイル名：m_higher_education.csv

  #### 高等教育観（状態）

  - データテーブル内のカラム名：higher_education_status_code
  - マスターテーブル名：m_higher_education_status
  - マスターテーブルファイル名：m_higher_education_status.csv

### 2.14 統合データ

---
- データテーブルファイル名：survey_unified_canonical_v[version].csv
- 複数回答を許容する設問の場合は、カラム名に _1 などのサフィックスを加えています。


## 3 設問一覧

- 設問一覧ファイル名：p4ds2023_QuestionList_v[version].xlsx
- 各調査回（2014, 2016, 2019, 2021, 2023）ごとに、ウェブ調査の際に掲出した文面をそのまま修正なく収録しています。


## 4 データベース作成用スクリプト

- MySQL ならびに PostgreSQL を用いてリレーショナルデータベースを作成する場合の参考スクリプトを提供します。
- データをロードする場合のファイルの置き場所などは、ご自身の環境に合わせて修正してください。（下記スクリプト内では、your_upload_data_location や、your_schema_name としています）

  ### 4-1 MySQL 用

  ---
  - p4ds2023_Schema_MySQL_v[version].sql
  - p4ds2023_LoadData_MySQL_v[version].sql

  ### 4-2 PostgreSQL 用

  ---
  - p4ds2023_Schema_PostgreSQL_v[version].sql
  - p4ds2023_LoadData_PostgreSQL_v[version].sql



202503271600

